Which devices can use Beacons?

iOS:

All iOS devices must be running iOS 8.0 or later. Older versions of iOS are not supported.

All iPhones from iPhone 4s and up.  
All iPads from iPad 3 and up.

Android:

Any device with Bluetooth LE and running Android 4.3+ can use Beacons.  This also includes devices that can run Android applications (such as Blackberry and Amazon devices).